<?php

/**
 * Provide ui for entering in date/time
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="container">
    <input type="hidden" id="sgc_javascript" value="sgc_location">
    <div>
        <table class="formtable">
        <tbody>
                <tr>
                        <th><label for="sgc_locationpar">Par</label></th>
                        <td><input type="text" name="sgc_locationpar" id="sgc_locationpar" value="<?= $location_par ?>" ></td>
                </tr>
                <tr>
                        <th><label for="sgc_locationrating">Rating</label></th>
                        <td><input type="text" name="sgc_locationrating" id="sgc_locationrating" value="<?= $location_rating ?>" ></td>
                </tr>
                <tr>
                        <th><label for="sgc_locationslope">Slope</label></th>
                        <td><input type="text" name="sgc_locationslope" id="sgc_locationslope" value="<?= $location_slope ?>" ></td>
                </tr>
        </tbody>
        </table>
    </div>
    <div class="sgc_courseinfo">
        <textarea name="sgc_locationcourse" id="sgc_locationcourse" style="display: none"><?= $location_course ?></textarea>
        <table class="formtable">
            <thead>
                <tr><th>Hole</th><th>Par</th><th>Length (<?= $default_units ?>)</th></tr>
            </thead>
            <tbody>
                <?php for( $i = 1 ; $i <=18 ; $i++ ): ?>
                <tr>
                    <th><?= $i ?></th>
                    <td><input type="text" name="sgc_coursepar" size="3"></td>
                    <td><input type="text" name="sgc_courselength" size="8"></td>
                </tr>
                <?php endfor; ?>
            </tbody>
        </table>
    </div>
</div>
