<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
    <h2>General</h2>
    <form method="post" action="options.php">
        <?php settings_fields($this->plugin_name . '_settings'); ?>
        <?php do_settings_sections($this->plugin_name . '_settings'); ?>
        <table class="form-table">
            <tr>
                <th><label for="sgc_defaultteam">Default Team</label></th>
                <td> <select name="sgc_defaultteam" id="sgc_defaultteam">
                        <option value="-1"></option>
                        <?php foreach ($teams as $post) : setup_postdata($post); ?>
                            <option value="<?= the_ID() ?>" <?php selected($post->ID, esc_attr(get_option('sgc_defaultteam'))); ?>><?= the_title() ?></option>
                        <?php endforeach; ?>
                    </select></td>
                    <td><input type="checkbox" id="sgc_singleteam" name="sgc_singleteam" value="true" <?php checked(get_option('sgc_singleteam'), 'true' ); ?>><label for="sgc_singleteam">Single Team</label></td>
            </tr>
            <tr>
                <th><label for="sgc_defaultlocation">Default Location</label></th>
                <td> <select name="sgc_defaultlocation" id="sgc_defaultlocation">
                        <option value="-1"></option>
                        <?php foreach ($locations as $post) : setup_postdata($post); ?>
                            <option value="<?= the_ID() ?>" <?php selected($post->ID, esc_attr(get_option('sgc_defaultlocation'))); ?>><?= the_title() ?></option>
                        <?php endforeach; ?>
                    </select></td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <th><label for="sgc_defaultunits">Default Units</label></th>
                <td> <select name="sgc_defaultunits" id="sgc_defaultunits">
                        <option value="imperial" <?php selected('imperial', esc_attr(get_option('sgc_defaultunits'))); ?>><?= _e('Imperial (ft/yd)'); ?></option>
                        <option value="metric" <?php selected('metric', esc_attr(get_option('sgc_defaultunits'))); ?>><?= _e('Metric (cm/m)'); ?></option>
                    </select></td>
                <td>&nbsp;</td>
            </tr>
        </table>
        <h2>Players</h2>
        <table class="form-table">
            <tr>
                <th><label for="sgc_eventteam">Show Player Contact Info</label></th>
                <td><input type="checkbox" id="sgc_playercontact" name="sgc_playercontact" value="true" <?php checked(get_option('sgc_playercontact'), 'true' ); ?>></td>
                <td>&nbsp;</td>
            </tr>
        </table>
        <?php submit_button(); ?>
    </form>
</div>

