<?php

/**
 * Provide a public-facing view for the event post header
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://bitbucket.org/matthewlinton/
 * @since      1.0.0
 *
 * @package    Simplegolfclub
 * @subpackage Simplegolfclub/public/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="sgc_player_header">
    <?php if( get_option('sgc_playercontact') == 'true' ): ?>
    <div class=""sgc_playerinfo">
        <ul class="sgc_playerinfo">
            <?php if ( $player_team != '' && get_option('sgc_singleteam') != 'true' ) : ?><li class="sgc_playerinfo team"><a href="<?= $player_teamlink ?>"><?= $player_teamname ?></a></li><?php endif ?>
            <?php if ( $player_phone != '' ) : ?><li class="sgc_playerinfo phone"><?= $player_phone ?></li><?php endif ?>
            <?php if ( $player_email != '' ) : ?><li class="sgc_playerinfo email"><a href="mailto:<?= $player_email ?>"><?= $player_email ?></a></li><?php endif ?>
            <?php if ( $player_website != '' ) : ?><li class="sgc_playerinfo website"><a href="<?= $player_website ?>">Website</a></li><?php endif ?>
        </ul>
    </div>
    <?php endif ?>
</div>